import { OnInit, EventEmitter } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import { AntEvent } from '../../ant-agenda.models';
import { CalendarElement } from '../calendar-element.model';
import { UISettingService } from '../../shared/service/ui-setting.service';
export declare class ElementComponent implements OnInit {
    private uiSettingService;
    onDateSelected: EventEmitter<AntEvent[]>;
    item: CalendarElement;
    currentMonth: number;
    selectedEvents: Subject<CalendarElement>;
    now: Date;
    constructor(uiSettingService: UISettingService);
    ngOnInit(): void;
    getUISetting(): any;
    onSelected(): void;
}
