import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { Subscription } from 'rxjs/Subscription';
import { BehaviorSubject } from 'rxjs/BehaviorSubject';
import { AntAgenda } from '../ant-agenda.models';
import { CalendarElement } from '../calendar/calendar-element.model';
export declare class EventListComponent implements OnInit, OnDestroy {
    eventBgColor: string;
    bgColor: string;
    textColor: string;
    fontName: string;
    language: any;
    bottomButton: any;
    lableIfEmpty: any;
    onBottomButtonClick: EventEmitter<any>;
    uiSettings: {};
    agenda: AntAgenda;
    subscription: Subscription;
    currentDate: Date;
    state: string;
    selectedEvents: BehaviorSubject<CalendarElement>;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    bottomButtonClickHandler(event: any): void;
}
